Skip to main content
PUT
/
distributions
/
{distributionID}
/
cache-rules
/
{cacheRuleID}
Update Cache Rules
curl --request PUT \
  --url https://api.tenbyte.com/v1/distributions/{distributionID}/cache-rules/{cacheRuleID} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "Cache, No Cache",
  "pattern": "./*",
  "ttl_seconds": 3600,
  "type": "regex",
  "config": {
    "ignore_origin_no_cache": false,
    "ignore_client_no_cache": true,
    "never_cache": false,
    "ignore_query_string_in_cache_key": true,
    "gzip_compression": true
  }
}
'
{}

Authorizations

X-API-Key
string
header
required

Path Parameters

distributionID
string
required
cacheRuleID
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

The response is of type object.